Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Lacks support for ENOTSUP #5382

Closed
vicuna opened this issue Oct 23, 2011 · 3 comments

Comments

Projects
None yet
1 participant
@vicuna
Copy link

commented Oct 23, 2011

Original bug ID: 5382
Reporter: sthibaul
Assigned to: @protz
Status: closed (set by @xavierleroy on 2013-08-31T10:48:36Z)
Resolution: fixed
Priority: normal
Severity: minor
Version: 3.12.0
Category: ~DO NOT USE (was: OCaml general)
Monitored by: mehdi @glondu

Bug description

Hello,

On some systems such as Solaris or GNU/Hurd, ENOTSUP and EOPNOSUPP do
not have the same value, but ocaml code only deals with EOPNOSUPP, and
thus ocaml applications only handle the EOPNOSUPP case. The attached
patch fixes it by making ocaml convert ENOTSUP errors into EOPNOSUPP
errors.

Samuel

File attachments

@vicuna

This comment has been minimized.

Copy link
Author

commented Dec 21, 2011

Comment author: @protz

Thanks for the patch, this has been fixed in revision r11915 in trunk. I'm trusting you that this is correct (and indeed it looks like it's correct) since I have no GNU/Hurd box ready to try out :-).

Cheers,

jonathan

@vicuna

This comment has been minimized.

Copy link
Author

commented Feb 24, 2012

Comment author: @glondu

Please apply this patch to branch 3.12 as well.

@vicuna

This comment has been minimized.

Copy link
Author

commented Feb 24, 2012

Comment author: @protz

Fixed in svn r12185

@vicuna vicuna closed this Aug 31, 2013

@vicuna vicuna added the bug label Mar 20, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.